#include <math.h>

#include "algebra.h"


int max2i( int a, int b )
 {
	if( a > b ) return a;
	return b;
 }

int min2i( int a, int b )
 {
	if( a < b ) return a;
	return b;
 }

int max3i( int a, int b, int c )
 {
	int d;
	d = max2i( b, c );
	if( a > d ) return a;
	return d;
 }

int min3i( int a, int b, int c )
 {
	int d;
	d = min2i( b, c );
	if( a < d ) return a;
	return d;
 }

double max2d( double a, double b )
 {
	if( a > b ) return a;
	return b;
 }

double min2d( double a, double b )
 {
	if( a < b ) return a;
	return b;
 }

double max3d( double a, double b, double c )
 {
	double d; 
	d = max2d( b, c );
	if( a > d ) return a;
	return d;
 }

double min3d( double a, double b, double c )
 {
	double d;
	d = min2d( b, c );
	if( a < d ) return a;
	return d;
 }

signed sgni( int n )
 {
	if( n > 0 ) return  1;
	if( n < 0 ) return -1;
	return 0;
 }

signed sgnd( double n )
 {
	if( n > 0.0 ) return  1.0;
	if( n < 0.0 ) return -1.0;
	return 0.0;
 }


char betweeni( int limit1, int number, int limit2 )
 {
	if( limit1 <= number && number <= limit2 ) return 1;
	if( limit1 >= number && number >= limit2 ) return 1;
	return 0;
 }

char betweend( double limit1, double number, double limit2 )
 {
	if( limit1 <= number && number <= limit2 ) return 1;
	if( limit1 >= number && number >= limit2 ) return 1;
	return 0;
 }

double roundto( double arg, double raster )
 {
	double res;

	res = arg / raster + 0.5;
	res = floor( res ) * raster;
	return res;
 }

