#ifndef __ALGEBRA_H__
#define __ALGEBRA_H__

#ifdef __cplusplus
extern "C" {
#endif

extern int max2i( int, int );
extern int min2i( int, int );
extern int max3i( int, int, int );
extern int min3i( int, int, int );

extern double max2d( double, double );
extern double min2d( double, double );
extern double max3d( double, double, double );
extern double min3d( double, double, double );

extern signed sgni( int );
extern signed sgnd( double );

extern char betweeni( int limit1, int number, int limit2 );
extern char betweend( double limit1, double number, double limit2 );

extern double roundto( double arg, double raster );

#ifdef __cplusplus
} /* extern "C" */
#endif

#endif

